Get effective entitlement rules for the current account.
GET
/v1/entitlements
const url = 'https://api.share2.us/v1/entitlements';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.share2.us/v1/entitlements \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”Effective entitlements.
Media typeapplication/json
object
max_file_size_bytes
required
integer format: int64
monthly_upload_bytes
required
integer format: int64
storage_quota_bytes
required
integer format: int64
max_active_shares
required
integer
max_open_support_tickets
Maximum simultaneously open/pending support tickets; 0 means unlimited.
integer
max_downloads_per_share
required
integer
default_expiry_hours
required
integer
maximum_expiry_hours
required
integer
password_protection_enabled
required
boolean
one_time_download_enabled
required
boolean
api_token_limit
required
integer
mcp_access_enabled
required
boolean
allowed_content_classes
required
Array<string>
Example
{ "allowed_content_classes": [ "text" ]}default
Section titled “default”Standard error envelope.
Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
request_id
required
string
Example
{ "error": { "code": "quota_exceeded" }}